org.eclnt.jsfserver.elements.componentnodes

## Class FILEDOWNLOADBUTTONNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.FILEDOWNLOADBUTTONNode

- All Implemented Interfaces:
    java.io.Serializable

      public class FILEDOWNLOADBUTTONNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FILEDOWNLOADBUTTONNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FILEDOWNLOADBUTTONNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindActionListener(IActionListenerDelegation value)`
    `FILEDOWNLOADBUTTONNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindAlign(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindAsynchronous(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindBackground(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindBorder(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindClientname(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindColspan(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindComment(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindContentareafilled(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindEnforceextension(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindFileextensions(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindFilename(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindFocusnexthotkey(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindFocusprevioushotkey(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindFocussequence(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindFont(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindForeground(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindHeight(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindHorizontaltextposition(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindHotkey(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindIconrollover(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindImage(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindImagedisabled(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindImageheight(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindImagepressed(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindImagerollover(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindImagewidth(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindLocalfilemode(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindOpenimmediately(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindOpensupported(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindPrintimmediately(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindPrintsupported(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindRendered(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindRequestfocus(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindRequestfocushotkey(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindRounding(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindShadow(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindText(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindUrl(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindUserhint(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindUserhinttrigger(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindVerticaltextposition(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindWidth(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindWithcallback(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindWithcontentsize(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindWithfocusevent(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindX(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `bindY(IDynamicContentBindingObject value)`
    `FILEDOWNLOADBUTTONNode` | `setAccessiblename(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setActionListener(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setAdapterbinding(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setAlign(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setAnimatechangeofsize(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setAnimatechangeofsize(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setAsynchronous(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setAsynchronous(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setAttributemacro(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setBackground(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setBgpaint(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setBorder(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setClientname(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setColspan(int value)`
    `FILEDOWNLOADBUTTONNode` | `setColspan(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setComment(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setConfiginfo(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setContentareafilled(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setContentareafilled(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setEnabled(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setEnabled(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setEnforceextension(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setFileextensions(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setFilename(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setFocusable(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setFocusable(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setFocusdrawborder(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setFocusdrawborder(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setFocusnexthotkey(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setFocusprevioushotkey(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setFocussequence(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setFont(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setForeground(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setFxstyleseq(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setHeight(int value)`
    `FILEDOWNLOADBUTTONNode` | `setHeight(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setHelpid(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setHorizontaltextposition(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setHotkey(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setIconrollover(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setId(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setImage(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setImagedisabled(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setImageheight(int value)`
    `FILEDOWNLOADBUTTONNode` | `setImageheight(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setImagepressed(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setImagerollover(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setImagewidth(int value)`
    `FILEDOWNLOADBUTTONNode` | `setImagewidth(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setLocalfilemode(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setOpenimmediately(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setOpenimmediately(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setOpensupported(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setOpensupported(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setPopupmenu(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setPrintimmediately(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setPrintimmediately(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setPrintsupported(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setPrintsupported(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setReference(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setRendered(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setRendered(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setRequestfocus(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setRequestfocushotkey(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setRounding(int value)`
    `FILEDOWNLOADBUTTONNode` | `setRounding(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setRowalignmenty(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setShadow(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setStyleseq(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setStylevariant(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setText(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setTooltip(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setUrl(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setUserhint(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setUserhinttrigger(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setVerticaltextposition(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setWidth(int value)`
    `FILEDOWNLOADBUTTONNode` | `setWidth(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setWithcallback(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setWithcallback(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setWithcontentsize(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setWithcontentsize(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setWithfocusevent(boolean value)`
    `FILEDOWNLOADBUTTONNode` | `setWithfocusevent(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setX(int value)`
    `FILEDOWNLOADBUTTONNode` | `setX(java.lang.String value)`
    `FILEDOWNLOADBUTTONNode` | `setY(int value)`
    `FILEDOWNLOADBUTTONNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FILEDOWNLOADBUTTONNode

          public FILEDOWNLOADBUTTONNode()

  - ### Method Detail

    - #### setId

          public FILEDOWNLOADBUTTONNode setId(java.lang.String value)

    - #### setAccessiblename

          public FILEDOWNLOADBUTTONNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public FILEDOWNLOADBUTTONNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public FILEDOWNLOADBUTTONNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public FILEDOWNLOADBUTTONNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public FILEDOWNLOADBUTTONNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public FILEDOWNLOADBUTTONNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAlign

          public FILEDOWNLOADBUTTONNode setAlign(java.lang.String value)

    - #### bindAlign

          public FILEDOWNLOADBUTTONNode bindAlign(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public FILEDOWNLOADBUTTONNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public FILEDOWNLOADBUTTONNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public FILEDOWNLOADBUTTONNode setAnimatechangeofsize(boolean value)

    - #### setAsynchronous

          public FILEDOWNLOADBUTTONNode setAsynchronous(java.lang.String value)

    - #### bindAsynchronous

          public FILEDOWNLOADBUTTONNode bindAsynchronous(IDynamicContentBindingObject value)

    - #### setAsynchronous

          public FILEDOWNLOADBUTTONNode setAsynchronous(boolean value)

    - #### setAttributemacro

          public FILEDOWNLOADBUTTONNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public FILEDOWNLOADBUTTONNode setBackground(java.lang.String value)

    - #### bindBackground

          public FILEDOWNLOADBUTTONNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public FILEDOWNLOADBUTTONNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public FILEDOWNLOADBUTTONNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public FILEDOWNLOADBUTTONNode setBorder(java.lang.String value)

    - #### bindBorder

          public FILEDOWNLOADBUTTONNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public FILEDOWNLOADBUTTONNode setClientname(java.lang.String value)

    - #### bindClientname

          public FILEDOWNLOADBUTTONNode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public FILEDOWNLOADBUTTONNode setColspan(java.lang.String value)

    - #### bindColspan

          public FILEDOWNLOADBUTTONNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public FILEDOWNLOADBUTTONNode setColspan(int value)

    - #### setComment

          public FILEDOWNLOADBUTTONNode setComment(java.lang.String value)

    - #### bindComment

          public FILEDOWNLOADBUTTONNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public FILEDOWNLOADBUTTONNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public FILEDOWNLOADBUTTONNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setContentareafilled

          public FILEDOWNLOADBUTTONNode setContentareafilled(java.lang.String value)

    - #### bindContentareafilled

          public FILEDOWNLOADBUTTONNode bindContentareafilled(IDynamicContentBindingObject value)

    - #### setContentareafilled

          public FILEDOWNLOADBUTTONNode setContentareafilled(boolean value)

    - #### setEnabled

          public FILEDOWNLOADBUTTONNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public FILEDOWNLOADBUTTONNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public FILEDOWNLOADBUTTONNode setEnabled(boolean value)

    - #### setEnforceextension

          public FILEDOWNLOADBUTTONNode setEnforceextension(java.lang.String value)

    - #### bindEnforceextension

          public FILEDOWNLOADBUTTONNode bindEnforceextension(IDynamicContentBindingObject value)

    - #### setFileextensions

          public FILEDOWNLOADBUTTONNode setFileextensions(java.lang.String value)

    - #### bindFileextensions

          public FILEDOWNLOADBUTTONNode bindFileextensions(IDynamicContentBindingObject value)

    - #### setFilename

          public FILEDOWNLOADBUTTONNode setFilename(java.lang.String value)

    - #### bindFilename

          public FILEDOWNLOADBUTTONNode bindFilename(IDynamicContentBindingObject value)

    - #### setFocusable

          public FILEDOWNLOADBUTTONNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public FILEDOWNLOADBUTTONNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public FILEDOWNLOADBUTTONNode setFocusable(boolean value)

    - #### setFocusdrawborder

          public FILEDOWNLOADBUTTONNode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public FILEDOWNLOADBUTTONNode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public FILEDOWNLOADBUTTONNode setFocusdrawborder(boolean value)

    - #### setFocusnexthotkey

          public FILEDOWNLOADBUTTONNode setFocusnexthotkey(java.lang.String value)

    - #### bindFocusnexthotkey

          public FILEDOWNLOADBUTTONNode bindFocusnexthotkey(IDynamicContentBindingObject value)

    - #### setFocusprevioushotkey

          public FILEDOWNLOADBUTTONNode setFocusprevioushotkey(java.lang.String value)

    - #### bindFocusprevioushotkey

          public FILEDOWNLOADBUTTONNode bindFocusprevioushotkey(IDynamicContentBindingObject value)

    - #### setFocussequence

          public FILEDOWNLOADBUTTONNode setFocussequence(java.lang.String value)

    - #### bindFocussequence

          public FILEDOWNLOADBUTTONNode bindFocussequence(IDynamicContentBindingObject value)

    - #### setFont

          public FILEDOWNLOADBUTTONNode setFont(java.lang.String value)

    - #### bindFont

          public FILEDOWNLOADBUTTONNode bindFont(IDynamicContentBindingObject value)

    - #### setForeground

          public FILEDOWNLOADBUTTONNode setForeground(java.lang.String value)

    - #### bindForeground

          public FILEDOWNLOADBUTTONNode bindForeground(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public FILEDOWNLOADBUTTONNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public FILEDOWNLOADBUTTONNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public FILEDOWNLOADBUTTONNode setHeight(java.lang.String value)

    - #### bindHeight

          public FILEDOWNLOADBUTTONNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public FILEDOWNLOADBUTTONNode setHeight(int value)

    - #### setHelpid

          public FILEDOWNLOADBUTTONNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public FILEDOWNLOADBUTTONNode bindHelpid(IDynamicContentBindingObject value)

    - #### setHorizontaltextposition

          public FILEDOWNLOADBUTTONNode setHorizontaltextposition(java.lang.String value)

    - #### bindHorizontaltextposition

          public FILEDOWNLOADBUTTONNode bindHorizontaltextposition(IDynamicContentBindingObject value)

    - #### setHotkey

          public FILEDOWNLOADBUTTONNode setHotkey(java.lang.String value)

    - #### bindHotkey

          public FILEDOWNLOADBUTTONNode bindHotkey(IDynamicContentBindingObject value)

    - #### setIconrollover

          public FILEDOWNLOADBUTTONNode setIconrollover(java.lang.String value)

    - #### bindIconrollover

          public FILEDOWNLOADBUTTONNode bindIconrollover(IDynamicContentBindingObject value)

    - #### setImage

          public FILEDOWNLOADBUTTONNode setImage(java.lang.String value)

    - #### bindImage

          public FILEDOWNLOADBUTTONNode bindImage(IDynamicContentBindingObject value)

    - #### setImagedisabled

          public FILEDOWNLOADBUTTONNode setImagedisabled(java.lang.String value)

    - #### bindImagedisabled

          public FILEDOWNLOADBUTTONNode bindImagedisabled(IDynamicContentBindingObject value)

    - #### setImageheight

          public FILEDOWNLOADBUTTONNode setImageheight(java.lang.String value)

    - #### bindImageheight

          public FILEDOWNLOADBUTTONNode bindImageheight(IDynamicContentBindingObject value)

    - #### setImageheight

          public FILEDOWNLOADBUTTONNode setImageheight(int value)

    - #### setImagepressed

          public FILEDOWNLOADBUTTONNode setImagepressed(java.lang.String value)

    - #### bindImagepressed

          public FILEDOWNLOADBUTTONNode bindImagepressed(IDynamicContentBindingObject value)

    - #### setImagerollover

          public FILEDOWNLOADBUTTONNode setImagerollover(java.lang.String value)

    - #### bindImagerollover

          public FILEDOWNLOADBUTTONNode bindImagerollover(IDynamicContentBindingObject value)

    - #### setImagewidth

          public FILEDOWNLOADBUTTONNode setImagewidth(java.lang.String value)

    - #### bindImagewidth

          public FILEDOWNLOADBUTTONNode bindImagewidth(IDynamicContentBindingObject value)

    - #### setImagewidth

          public FILEDOWNLOADBUTTONNode setImagewidth(int value)

    - #### setLocalfilemode

          public FILEDOWNLOADBUTTONNode setLocalfilemode(java.lang.String value)

    - #### bindLocalfilemode

          public FILEDOWNLOADBUTTONNode bindLocalfilemode(IDynamicContentBindingObject value)

    - #### setOpenimmediately

          public FILEDOWNLOADBUTTONNode setOpenimmediately(java.lang.String value)

    - #### bindOpenimmediately

          public FILEDOWNLOADBUTTONNode bindOpenimmediately(IDynamicContentBindingObject value)

    - #### setOpenimmediately

          public FILEDOWNLOADBUTTONNode setOpenimmediately(boolean value)

    - #### setOpensupported

          public FILEDOWNLOADBUTTONNode setOpensupported(java.lang.String value)

    - #### bindOpensupported

          public FILEDOWNLOADBUTTONNode bindOpensupported(IDynamicContentBindingObject value)

    - #### setOpensupported

          public FILEDOWNLOADBUTTONNode setOpensupported(boolean value)

    - #### setPopupmenu

          public FILEDOWNLOADBUTTONNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public FILEDOWNLOADBUTTONNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public FILEDOWNLOADBUTTONNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public FILEDOWNLOADBUTTONNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setPrintimmediately

          public FILEDOWNLOADBUTTONNode setPrintimmediately(java.lang.String value)

    - #### bindPrintimmediately

          public FILEDOWNLOADBUTTONNode bindPrintimmediately(IDynamicContentBindingObject value)

    - #### setPrintimmediately

          public FILEDOWNLOADBUTTONNode setPrintimmediately(boolean value)

    - #### setPrintsupported

          public FILEDOWNLOADBUTTONNode setPrintsupported(java.lang.String value)

    - #### bindPrintsupported

          public FILEDOWNLOADBUTTONNode bindPrintsupported(IDynamicContentBindingObject value)

    - #### setPrintsupported

          public FILEDOWNLOADBUTTONNode setPrintsupported(boolean value)

    - #### setReference

          public FILEDOWNLOADBUTTONNode setReference(java.lang.String value)

    - #### setRendered

          public FILEDOWNLOADBUTTONNode setRendered(java.lang.String value)

    - #### bindRendered

          public FILEDOWNLOADBUTTONNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public FILEDOWNLOADBUTTONNode setRendered(boolean value)

    - #### setRequestfocus

          public FILEDOWNLOADBUTTONNode setRequestfocus(java.lang.String value)

    - #### bindRequestfocus

          public FILEDOWNLOADBUTTONNode bindRequestfocus(IDynamicContentBindingObject value)

    - #### setRequestfocushotkey

          public FILEDOWNLOADBUTTONNode setRequestfocushotkey(java.lang.String value)

    - #### bindRequestfocushotkey

          public FILEDOWNLOADBUTTONNode bindRequestfocushotkey(IDynamicContentBindingObject value)

    - #### setRounding

          public FILEDOWNLOADBUTTONNode setRounding(java.lang.String value)

    - #### bindRounding

          public FILEDOWNLOADBUTTONNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public FILEDOWNLOADBUTTONNode setRounding(int value)

    - #### setRowalignmenty

          public FILEDOWNLOADBUTTONNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public FILEDOWNLOADBUTTONNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public FILEDOWNLOADBUTTONNode setShadow(java.lang.String value)

    - #### bindShadow

          public FILEDOWNLOADBUTTONNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public FILEDOWNLOADBUTTONNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public FILEDOWNLOADBUTTONNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public FILEDOWNLOADBUTTONNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public FILEDOWNLOADBUTTONNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public FILEDOWNLOADBUTTONNode setText(java.lang.String value)

    - #### bindText

          public FILEDOWNLOADBUTTONNode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public FILEDOWNLOADBUTTONNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public FILEDOWNLOADBUTTONNode bindTooltip(IDynamicContentBindingObject value)

    - #### setUrl

          public FILEDOWNLOADBUTTONNode setUrl(java.lang.String value)

    - #### bindUrl

          public FILEDOWNLOADBUTTONNode bindUrl(IDynamicContentBindingObject value)

    - #### setUserhint

          public FILEDOWNLOADBUTTONNode setUserhint(java.lang.String value)

    - #### bindUserhint

          public FILEDOWNLOADBUTTONNode bindUserhint(IDynamicContentBindingObject value)

    - #### setUserhinttrigger

          public FILEDOWNLOADBUTTONNode setUserhinttrigger(java.lang.String value)

    - #### bindUserhinttrigger

          public FILEDOWNLOADBUTTONNode bindUserhinttrigger(IDynamicContentBindingObject value)

    - #### setVerticaltextposition

          public FILEDOWNLOADBUTTONNode setVerticaltextposition(java.lang.String value)

    - #### bindVerticaltextposition

          public FILEDOWNLOADBUTTONNode bindVerticaltextposition(IDynamicContentBindingObject value)

    - #### setWidth

          public FILEDOWNLOADBUTTONNode setWidth(java.lang.String value)

    - #### bindWidth

          public FILEDOWNLOADBUTTONNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public FILEDOWNLOADBUTTONNode setWidth(int value)

    - #### setWithcallback

          public FILEDOWNLOADBUTTONNode setWithcallback(java.lang.String value)

    - #### bindWithcallback

          public FILEDOWNLOADBUTTONNode bindWithcallback(IDynamicContentBindingObject value)

    - #### setWithcallback

          public FILEDOWNLOADBUTTONNode setWithcallback(boolean value)

    - #### setWithcontentsize

          public FILEDOWNLOADBUTTONNode setWithcontentsize(java.lang.String value)

    - #### bindWithcontentsize

          public FILEDOWNLOADBUTTONNode bindWithcontentsize(IDynamicContentBindingObject value)

    - #### setWithcontentsize

          public FILEDOWNLOADBUTTONNode setWithcontentsize(boolean value)

    - #### setWithfocusevent

          public FILEDOWNLOADBUTTONNode setWithfocusevent(java.lang.String value)

    - #### bindWithfocusevent

          public FILEDOWNLOADBUTTONNode bindWithfocusevent(IDynamicContentBindingObject value)

    - #### setWithfocusevent

          public FILEDOWNLOADBUTTONNode setWithfocusevent(boolean value)

    - #### setX

          public FILEDOWNLOADBUTTONNode setX(java.lang.String value)

    - #### bindX

          public FILEDOWNLOADBUTTONNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public FILEDOWNLOADBUTTONNode setX(int value)

    - #### setY

          public FILEDOWNLOADBUTTONNode setY(java.lang.String value)

    - #### bindY

          public FILEDOWNLOADBUTTONNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public FILEDOWNLOADBUTTONNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.